Name:		ape
Version:	2.2.0
Release:	1%{?dist}
Summary:	A tool for generating atomic pseudopotentials within a DFT framework
Group:		Applications/Engineering
License:	GPLv2+
URL:		http://www.tddft.org/programs/APE
Source0:	http://www.tddft.org/programs/APE/sites/default/files/ape-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# ABSR functional is now ABSP
Patch0:         ape-2.2.0-absp.patch

BuildRequires:	gcc-gfortran
BuildRequires:	gsl-devel
BuildRequires:	libxc-devel

Requires(post):		info
Requires(preun):	info

%description
APE (Atomic Pseudopotential Engine) is a tool for generating atomic
pseudopotentials within a Density-Functional Theory framework.

%prep
%setup -q
%patch0 -p1 -b .absp

%build
# The APE configure script uses FCFLAGS instead of FFLAGS declared by the configure macro.
export FC=gfortran
export FCFLAGS="%{optflags} -ffree-form -ffree-line-length-none -I%{_fmoddir}"
export FCCPP="cpp -C -ansi -ffreestanding"
%configure
# SMP make is not working.
#make %{?_smp_mflags}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# Get rid of spurious directory
rm -rf %{buildroot}%{_infodir}/dir
# Get rid of testsuite, it's already run in check phase.
rm -rf %{buildroot}%{_datadir}/ape
rm %{buildroot}%{_bindir}/ape-run*

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

# Check phase is disabled, since it fails sometimes on 32-bit architectures due
# to some hardly catchable rounding error, which has been fixed in the middle
# of big changes all over the program sometime after the release of 1.1.0.
# It should be enabled when version 1.2 is released.

#%check
## Add binary to PATH
#export PATH=$PATH:`pwd`/src
#cd testsuite
#./ape-run_testsuite -l

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO sample
%{_bindir}/ape
%{_infodir}/ape.info.*

%changelog
* Mon Jun 09 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.1.0-2
- Update to new tarball with aarch64 support.

* Wed Mar 06 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2.
- Build against libxc 2.0.0.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jul 07 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0.

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1.0-2
- Disable %%check phase due to problems on 32-bit architectures. It needs to be
  re-enabled when version 1.2 (which does not suffer from the rounding issues
  causing the problems) is released.

* Tue Jan 18 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1.0-1
- Initial spec.
